#include "Collision.h"

Vec2 PolyCollider::GetCentroid() {
	Vec2 center;
	for(int i = 0; i < this->numVerts; i++) {
		center = center + this->verts[i];
	}
	return center / (float)numVerts;
}

void PolyCollider::MoveTo(Vec2 pos) {
	Vec2 oldcenter = center;
	center = pos;
	for(int i = 0; i < this->numVerts; i++) {
		this->verts[i] = this->verts[i] + (center - oldcenter);
	}
	velocity = center - oldcenter;
}