#pragma once
#include "Core.h"
#include <stdlib.h>
#include "CollisionGame.h"

class Entity : public Renderer, public PolyCollider {
public:
	int id;
	Vec2 GetPos();
	void SetPos(Vec2 newpos);
	Vec2 dir;
	Entity(int numVerts, Vec2 ncenter, Vec2 nverts[], Color col) : PolyCollider(numVerts, ncenter, nverts){
		//this->center = ncenter;
		this->pos = ncenter;
		this->col = col;
		dir = Vec2((float)1 - (rand() % 2),(float) 1 - (rand() % 2)).Normalize();
		//dir = dir / (float)(rand() % 5 + 1);
		game = 0;
	}
	void Render();
	void Update(float dt);
	void Destroy() { };
	void CollidedWith(Collider *other);
protected:
	CollisionGame *game;
private:

};
